Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228637 - CVE-2007-1462 security alert - passwords sent back from server as input value
Summary: CVE-2007-1462 security alert - passwords sent back from server as input value
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ryan McCabe
QA Contact: Corey Marthaler
URL:
Whiteboard: impact=low,source=redhat,reported=200...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-14 03:51 UTC by Jim Parsons
Modified: 2009-04-16 22:42 UTC (History)
5 users (show)

Fixed In Version: RHBA-2007-0331
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-18 20:29:28 UTC


Attachments (Terms of Use)
copy of letter sent to security response team (deleted)
2007-02-14 03:54 UTC, Jim Parsons
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0331 normal SHIPPED_LIVE conga bug fix update 2007-05-18 20:26:26 UTC

Description Jim Parsons 2007-02-14 03:51:28 UTC
The password for the remote system(s) is persisted between two page loads in
the Add System/Cluster task flow. If it were persisted in the server session it
would not be a problem, but instead it it is returned to the browser as a
'Value' attribute in a password entry field widget. This means that if the user
were to 'View Source', the password would appear as plaintext in the html.

NOTE: All luci interaction is done via HTTPS; still this does present a remote,
but possible means of exploit.

Comment 1 Jim Parsons 2007-02-14 03:54:04 UTC
Created attachment 148037 [details]
copy of letter sent to security response team

Comment 2 Mark J. Cox 2007-02-14 14:31:04 UTC
This is an issue that would require quite unlikely circumstances to exploit
(user walks away, works offline) and is mitigated from a man-in-the-middle by
SSL, so I'd rate this as having low security impact. 
http://www.redhat.com/security/updates/classification/

Comment 3 Rob Kenna 2007-02-14 15:05:39 UTC
Ack for 5.1 train.

Comment 4 Kiersten (Kerri) Anderson 2007-04-23 16:21:08 UTC
Fixing Product name.

Comment 7 Red Hat Bugzilla 2007-05-18 20:29:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0331.html



Note You need to log in before you can comment on or make changes to this bug.